<?php
/**
* Partial functions
*
* @package Theme Palace
* @subpackage Power News
* @since Power News 1.0.0
*/

// Breaking News
if ( ! function_exists( 'power_news_breaking_news_title_partial' ) ) :
    // Breaking news section partial refresh title
    function power_news_breaking_news_title_partial() {
        $options = power_news_get_theme_options();
        return esc_html( $options['breaking_news_title'] );
    }
endif;

// Copy Right
if ( ! function_exists( 'power_news_copyright_text_partial' ) ) :
    // copyright text
    function power_news_copyright_text_partial() {
        $options = power_news_get_theme_options();
        return esc_html( $options['copyright_text'] );
    }
endif;

// Multi Posts
if ( ! function_exists( 'power_news_multi_post_col1_title_partial' ) ) :
    // multi post col 1 title
    function power_news_multi_post_col1_title_partial() {
        $options = power_news_get_theme_options();
        return esc_html( $options['multi_post_col1_title'] );
    }
endif;
if ( ! function_exists( 'power_news_multi_post_col2_title_partial' ) ) :
    // multi post col 2 title
    function power_news_multi_post_col2_title_partial() {
        $options = power_news_get_theme_options();
        return esc_html( $options['multi_post_col2_title'] );
    }
endif;
if ( ! function_exists( 'power_news_random_post_title_partial' ) ) :
    // multi post col 2 title
    function power_news_random_post_title_partial() {
        $options = power_news_get_theme_options();
        return esc_html( $options['random_post_title'] );
    }
endif;

// Media Posts
if ( ! function_exists( 'power_news_media_posts_title_partial' ) ) :
    // media post title
    function power_news_media_posts_title_partial() {
        $options = power_news_get_theme_options();
        return esc_html( $options['media_post_title'] );
    }
endif;

if ( ! function_exists( 'power_news_latest_post_title_partial' ) ) :
    // media post title
    function power_news_latest_post_title_partial() {
        $options = power_news_get_theme_options();
        return esc_html( $options['latest_post_title'] );
    }
endif;


if ( ! function_exists( 'power_news_popular_post_title_partial' ) ) :
    // media post title
    function power_news_popular_post_title_partial() {
        $options = power_news_get_theme_options();
        return esc_html( $options['popular_post_title'] );
    }
endif;

// Related Posts
if ( ! function_exists( 'power_news_related_posts_title_partial' ) ) :
    // media post title
    function power_news_related_posts_title_partial() {
        $options = power_news_get_theme_options();
        return esc_html( $options['related_posts_title'] );
    }
endif;

// Most Viewed
if ( ! function_exists( 'power_news_most_viewed_title_partial' ) ) :
    // media post title
    function power_news_most_viewed_title_partial() {
        $options = power_news_get_theme_options();
        return esc_html( $options['most_viewed_title'] );
    }
endif;
